import { world } from '@minecraft/server';

// Fungsi untuk menjalankan beberapa perintah secara berurutan
function runMultipleCommands(player, commands) {
    commands.forEach(command => player.runCommandAsync(command));
}

// Subscribe ke event chatSend
world.beforeEvents.chatSend.subscribe((eventData) => {
    const player = eventData.sender;
    const message = eventData.message;
    
    // Proses hanya pesan yang diawali dengan "!"
    if (!message.startsWith('!')) return;

    // Cegah pesan asli dikirimkan ke chat
    eventData.cancel = true;

    // Switch untuk menangani setiap command yang valid
    switch (message) {
        case '!sit':
            runMultipleCommands(player, [
                'execute as @s[ry=135,rym=45] run summon md:sit ~~-0.05~ facing ~-9~~',
                'execute as @s[ry=-45,rym=-135] run summon md:sit ~~-0.05~ facing ~9~~',
                'execute as @s[ry=45,rym=-45] run summon md:sit ~~-0.05~ facing ~~~9',
                'execute as @s[ry=-135,rym=135] run summon md:sit ~~-0.05~ facing ~~~-9',
                'ride @s start_riding @e[family=sit,tag=!has_rider,c=1]'
            ]);
            break;
        case '!lay':
            runMultipleCommands(player, [
                'execute as @s[ry=135,rym=45] run event entity @s lay_barat',
                'execute as @s[ry=-45,rym=-135] run event entity @s lay_timur',
                'execute as @s[ry=45,rym=-45] run event entity @s lay_utara',
                'execute as @s[ry=-135,rym=135] run event entity @s lay_selatan',
                'event entity @s lay'
            ]);
            break;
        case '!ride':
            player.runCommandAsync('event entity @s ride');
            break;
        case '!bocil':
            player.runCommandAsync('event entity @s bocil');
            break;
        case '!clear':
            player.runCommandAsync('clear');
            break;
        default:
            // Jika pesan tidak dikenali, tidak ada aksi
            break;
    }
});
